# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.94"
name = "nodedb-crdt"
version = "0.3.0-beta.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "CRDT engine with SQL constraint validation and dead-letter queue"
homepage = "https://nodedb.dev"
documentation = "https://docs.rs/nodedb-crdt"
readme = "README.md"
keywords = [
    "crdt",
    "loro",
    "sync",
    "conflict-resolution",
    "distributed",
]
categories = [
    "data-structures",
    "algorithms",
]
license = "BUSL-1.1"
repository = "https://github.com/NodeDB-Lab/nodedb"
resolver = "2"

[lib]
name = "nodedb_crdt"
path = "src/lib.rs"

[[test]]
name = "constraint_resolution"
path = "tests/constraint_resolution.rs"

[[test]]
name = "crdt_sql_paradox"
path = "tests/crdt_sql_paradox.rs"

[[test]]
name = "wire_enum_lock"
path = "tests/wire_enum_lock.rs"

[dependencies.getrandom]
version = "0.3"
features = ["std"]

[dependencies.hkdf]
version = "0.12"

[dependencies.hmac]
version = "0.12"

[dependencies.loro]
version = "=1.13.0"

[dependencies.nodedb-types]
version = "=0.3.0-beta.1"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.sha2]
version = "0.10"
features = ["oid"]

[dependencies.subtle]
version = "2"

[dependencies.thiserror]
version = "2.0"

[dependencies.tracing]
version = "0.1"

[dev-dependencies.serde_json]
version = "1"

[dev-dependencies.tokio]
version = "1"
features = ["full"]
